org.simpleframework.http

## Interface StatusLine

All Known Subinterfaces:
  Response, ResponseHeader

All Known Implementing Classes:
  ResponseWrapper

    public interface StatusLine

The `StatusLine` is used to represent a HTTP status line. This provides several convenience methods that can be used to manipulate a HTTP status line. see the RFC (RFC 2616) for the syntax of a status line.

Author:
  Niall Gallagher

### Method Summary

Methods
`int` `getCode()` This represents the status code of the HTTP response.
`int` `getMajor()` This can be used to get the major number from a HTTP version.
`int` `getMinor()` This can be used to get the minor number from a HTTP version.
`java.lang.String` `getText()` This can be used to retrieve the text of a HTTP status line.
`void` `setCode(int code)` This method allows the status for the response to be changed.
`void` `setMajor(int major)` This can be used to specify the major version.
`void` `setMinor(int minor)` This can be used to specify the minor version.
`void` `setText(java.lang.String text)` This is used to set the text of the HTTP status line.

### Method Detail

#### getCode

    int getCode()

This represents the status code of the HTTP response. The response code represents the type of message that is being sent to the client. For a description of the codes see RFC 2616 section 10, Status Code Definitions.

Returns:
  the status code that this HTTP response has

#### setCode

    void setCode(int code)

This method allows the status for the response to be changed. This MUST be reflected the the response content given to the client. For a description of the codes see RFC 2616 section 10, Status Code Definitions.

Parameters:
  `code` - the new status code for the HTTP response

#### getText

    java.lang.String getText()

This can be used to retrieve the text of a HTTP status line. This is the text description for the status code. This should match the status code specified by the RFC.

Returns:
  the message description of the response

#### setText

    void setText(java.lang.String text)

This is used to set the text of the HTTP status line. This should match the status code specified by the RFC.

Parameters:
  `text` - the descriptive text message of the status

#### getMajor

    int getMajor()

This can be used to get the major number from a HTTP version. The major version corresponds to the major type that is the 1 of a HTTP/1.0 version string.

Returns:
  the major version number for the response

#### setMajor

    void setMajor(int major)

This can be used to specify the major version. This should be the major version of the HTTP request.

Parameters:
  `major` - this is the major number desired

#### getMinor

    int getMinor()

This can be used to get the minor number from a HTTP version. The major version corresponds to the minor type that is the 0 of a HTTP/1.0 version string.

Returns:
  the major version number for the response

#### setMinor

    void setMinor(int minor)

This can be used to specify the minor version. This should not be set to zero if the HTTP request was for HTTP/1.1. The response must be equal or higher.

Parameters:
  `minor` - this is the minor number desired